import { IMetricResponse, IMetricRequest } from "../IFairnessProps";
import { ParityModes } from "./ParityMetrics";
export declare class MetricsCache {
    private featureCount;
    private numberOfModels;
    private fetchMethod?;
    private cache;
    constructor(featureCount: number, numberOfModels: number, fetchMethod?: ((request: IMetricRequest) => Promise<IMetricResponse>) | undefined, precomputedCache?: Array<Array<{
        [key: string]: IMetricResponse;
    }>>);
    getMetric(binIndexVector: number[], featureIndex: number, modelIndex: number, key: string): Promise<IMetricResponse>;
    getDisparityMetric(binIndexVector: number[], featureIndex: number, modelIndex: number, key: string, disparityMethod: ParityModes): Promise<number>;
    clearCache(binIndex?: number): void;
}
