import { IFairnessProps, IFairnessBaseData, IRunTimeFairnessData, IPreComputedFairnessData, PredictionType, IPreComputedData } from "../IFairnessProps";
import { IRunTimeFairnessContext, IFairnessContext, IFairnessModelMetadata } from "./IFairnessContext";
import { IAccuracyOption } from "./AccuracyMetrics";
import { IParityOption } from "./ParityMetrics";
import { IBinnedResponse } from "./IBinnedResponse";
export declare class WizardBuilder {
    private static iconsInitialized;
    static initializeIcons(props: IFairnessProps): void;
    static buildModelNames(props: IFairnessBaseData): string[];
    static buildInitialFairnessContext(props: IRunTimeFairnessData): IRunTimeFairnessContext;
    static buildPrecomputedFairnessContext(props: IPreComputedFairnessData): IFairnessContext;
    static getClassLength(props: IFairnessBaseData): number;
    static buildPrecomputedModelMetadata(props: IPreComputedFairnessData): IFairnessModelMetadata;
    static buildModelMetadata(props: IRunTimeFairnessData): Required<IFairnessModelMetadata>;
    static buildIndexedNames(length: number, baseString: string): string[];
    static determinePredictionType(trueY: number[], predictedY: number[][], specifiedType?: PredictionType): PredictionType;
    static buildAccuracyListForPrecomputedMetrics(props: IPreComputedFairnessData): IAccuracyOption[];
    static buildParityListForPrecomputedMetrics(props: IPreComputedData): IParityOption[];
    static buildFeatureBins(fairnessContext: IRunTimeFairnessContext): IBinnedResponse[];
    static generateBinVectorForBin(value: IBinnedResponse, dataset: any[][] | undefined): number[];
}
