import React from "react";
import { IAccuracyPickerPropsV1, IFeatureBinPickerPropsV1, IParityPickerPropsV1 } from "../FairnessWizard";
import { IFairnessContext } from "../../util/IFairnessContext";
import { MetricsCache } from "../../util/MetricsCache";
export interface IModelComparisonProps {
    dashboardContext: IFairnessContext;
    metricsCache: MetricsCache;
    modelCount: number;
    accuracyPickerProps: IAccuracyPickerPropsV1;
    parityPickerProps: IParityPickerPropsV1;
    featureBinPickerProps: IFeatureBinPickerPropsV1;
    onEditConfigs: () => void;
    onChartClick?: (data: any) => void;
}
export interface IState {
    accuracyArray?: Array<number | undefined>;
    disparityArray?: number[];
    disparityInOutcomes: boolean;
}
export declare class ModelComparisonChart extends React.PureComponent<IModelComparisonProps, IState> {
    private readonly plotlyProps;
    constructor(props: IModelComparisonProps);
    render(): React.ReactNode;
    private loadData;
    private getDisparityMetric;
    private readonly disparityChanged;
}
