import React from "react";
import { IFairnessProps } from "../IFairnessProps";
import { IBinnedResponse } from "../util/IBinnedResponse";
import { IFairnessContext } from "../util/IFairnessContext";
import { IAccuracyOption } from "../util/AccuracyMetrics";
import { MetricsCache } from "../util/MetricsCache";
export interface IAccuracyPickerPropsV1 {
    accuracyOptions: IAccuracyOption[];
    selectedAccuracyKey: string;
    onAccuracyChange: (newKey: string) => void;
}
export interface IParityPickerPropsV1 {
    parityOptions: IAccuracyOption[];
    selectedParityKey: string;
    onParityChange: (newKey: string) => void;
}
export interface IFeatureBinPickerPropsV1 {
    featureBins: IBinnedResponse[];
    selectedBinIndex: number;
    onBinChange: (index: number) => void;
}
export interface IWizardStateV1 {
    activeTabKey: string;
    selectedModelId?: number;
    dashboardContext: IFairnessContext;
    accuracyMetrics: IAccuracyOption[];
    parityMetrics: IAccuracyOption[];
    selectedAccuracyKey: string;
    selectedParityKey: string;
    featureBins: IBinnedResponse[];
    selectedBinIndex: number;
    metricCache: MetricsCache;
}
export declare class FairnessWizardV1 extends React.PureComponent<IFairnessProps, IWizardStateV1> {
    constructor(props: IFairnessProps);
    componentDidUpdate(prev: IFairnessProps): void;
    render(): React.ReactNode;
    private getAccuracyMetrics;
    private readonly setTab;
    private readonly onSelectModel;
    private readonly setAccuracyKey;
    private readonly setParityKey;
    private readonly setBinIndex;
    private readonly handleTabClick;
    private readonly binningSet;
    private readonly saveBin;
}
