import React from "react";
import { IAccuracyPickerPropsV2, IFeatureBinPickerPropsV2, IParityPickerPropsV2 } from "../FairnessWizard";
import { IFairnessContext } from "../../util/IFairnessContext";
import { MetricsCache } from "../../util/MetricsCache";
export interface IModelComparisonProps {
    showIntro: boolean;
    dashboardContext: IFairnessContext;
    metricsCache: MetricsCache;
    modelCount: number;
    accuracyPickerProps: IAccuracyPickerPropsV2;
    parityPickerProps: IParityPickerPropsV2;
    featureBinPickerProps: IFeatureBinPickerPropsV2;
    onHideIntro: () => void;
    onEditConfigs: () => void;
    onChartClick?: (data?: any) => void;
}
export interface IState {
    showModalIntro?: boolean;
    showModalHelp?: boolean;
    featureKey?: string;
    accuracyKey?: string;
    parityKey?: string;
    accuracyArray?: number[];
    disparityArray?: number[];
}
export declare class ModelComparisonChart extends React.PureComponent<IModelComparisonProps, IState> {
    private readonly plotlyProps;
    constructor(props: IModelComparisonProps);
    render(): React.ReactNode;
    private loadData;
    private readonly featureChanged;
    private readonly accuracyChanged;
    private readonly parityChanged;
    private readonly handleCloseModalIntro;
    private readonly handleOpenModalHelp;
    private readonly handleCloseModalHelp;
}
